| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp::dboard_eeprom_t Struct Reference

`#include <uhd/usrp/dboard_eeprom.hpp>`

## Public Member Functions
| dboard_eeprom_t (void)
void | load (i2c_iface &iface, uint8_t addr)
void | store (i2c_iface &iface, uint8_t addr) const

## Public Attributes
dboard_id_t | id
| The ID for the daughterboard type.
std::string | serial
| The unique serial number.
std::string | revision
| A hardware revision number.

## Constructor & Destructor Documentation

## ◆ dboard_eeprom_t()

uhd::usrp::dboard_eeprom_t::dboard_eeprom_t | ( | void |  | ) |

Create an empty dboard eeprom struct.

## Member Function Documentation

## ◆ load()

void uhd::usrp::dboard_eeprom_t::load | ( | i2c_iface & | iface,
|  | uint8_t | addr )

Load the object with bytes from the eeprom.

Parameters

  iface | the serial interface with i2c
  addr | the i2c address for the eeprom

## ◆ store()

void uhd::usrp::dboard_eeprom_t::store | ( | i2c_iface & | iface,
|  | uint8_t | addr ) const

Store the object to bytes in the eeprom.

Parameters

  iface | the serial interface with i2c
  addr | the i2c address for the eeprom

## Member Data Documentation

## ◆ id

dboard_id_t uhd::usrp::dboard_eeprom_t::id

The ID for the daughterboard type.

## ◆ revision

std::string uhd::usrp::dboard_eeprom_t::revision

A hardware revision number.

## ◆ serial

std::string uhd::usrp::dboard_eeprom_t::serial

The unique serial number.

The documentation for this struct was generated from the following file:

- dboard_eeprom.hpp